=== modified file 'CMakeLists.txt'
--- CMakeLists.txt	2015-07-14 09:39:43 +0000
+++ CMakeLists.txt	2015-07-16 04:22:12 +0000
@@ -8,7 +8,6 @@
 	ctwm.c
 	ctwm_atoms.c
 	cursor.c
-	deftwmrc.c
 	events.c
 	gc.c
 	gram.tab.c
@@ -381,13 +380,15 @@
 # And the build targets
 #
 
-# Hand-build deftwmrc.c
-set(defc deftwmrc.c)
-set(mkdefc ${CMAKE_CURRENT_SOURCE_DIR}/tools/mk_deftwmrc.sh)
-add_custom_command(OUTPUT ${defc}
-	DEPENDS system.ctwmrc ${mkdefc}
-	COMMAND ${mkdefc} ${CMAKE_CURRENT_SOURCE_DIR}/system.ctwmrc > ${defc}
+# Hand-build deftwmrc.h
+set(defh ${CMAKE_CURRENT_BINARY_DIR}/deftwmrc.h)
+set(mkdefh ${CMAKE_CURRENT_SOURCE_DIR}/tools/mk_deftwmrc.sh)
+add_custom_command(OUTPUT ${defh}
+	DEPENDS system.ctwmrc ${mkdefh}
+	COMMAND ${mkdefh} ${CMAKE_CURRENT_SOURCE_DIR}/system.ctwmrc > ${defh}
 )
+# Need to do this explicitly for cmake to figure it out
+set_source_files_properties(parse.c OBJECT_DEPENDS ${defh})
 
 # Hand-build ctwm_atoms.[ch]
 set(ctwm_atoms ctwm_atoms.h ctwm_atoms.c)

=== modified file 'parse.c'
--- parse.c	2015-07-16 04:09:38 +0000
+++ parse.c	2015-07-16 04:22:12 +0000
@@ -93,6 +93,7 @@
 #include "util.h"
 #include "parse.h"
 #include "version.h"
+#include "deftwmrc.h"
 #ifdef SOUNDS
 #  include "sound.h"
 #endif
@@ -121,7 +122,6 @@
 static int ParseRandomPlacement(register char *s);
 static int ParseButtonStyle(register char *s);
 extern int yyparse(void);
-extern const char *defTwmrc[];                /* From deftwmrc.c.  */
 
 static FILE *twmrc;
 static int ptr = 0;

=== modified file 'tools/mk_deftwmrc.sh'
--- tools/mk_deftwmrc.sh	2015-07-04 08:35:06 +0000
+++ tools/mk_deftwmrc.sh	2015-07-16 04:22:12 +0000
@@ -12,7 +12,7 @@
 echo
 
 # We define one big char* arrray of the lines
-echo 'const char *defTwmrc[] = {'
+echo 'static const char *defTwmrc[] = {'
 
 sed -e '/^#/d'           \
 	-e '/^$/d'           \

